# Class ServerCnxn.CloseRequestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.zookeeper.server.ServerCnxn.CloseRequestException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ServerCnxn`

public static class ServerCnxn.CloseRequestException extends IOException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CloseRequestException(String msg, ServerCnxn.DisconnectReason reason)`

## Method Summary

Modifier and Type
Method
Description
`ServerCnxn.DisconnectReason`
`getReason()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CloseRequestException

public CloseRequestException(String msg, ServerCnxn.DisconnectReason reason)

## Method Details

### getReason

public ServerCnxn.DisconnectReason getReason()